commit:     32669da140788b23ba02cebbe6b8b6344174023e
Author:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
AuthorDate: Sat Oct  9 07:26:38 2021 +0000
Commit:     Hans de Graaff <graaff <AT> gentoo <DOT> org>
CommitDate: Sat Oct  9 07:27:49 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32669da1

dev-ruby/amqp: EAPI 8; add ruby27

Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Hans de Graaff <graaff <AT> gentoo.org>

 dev-ruby/amqp/amqp-1.8.0-r1.ebuild | 39 ++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

diff --git a/dev-ruby/amqp/amqp-1.8.0-r1.ebuild 
b/dev-ruby/amqp/amqp-1.8.0-r1.ebuild
new file mode 100644
index 00000000000..8dd9260cbc0
--- /dev/null
+++ b/dev-ruby/amqp/amqp-1.8.0-r1.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+USE_RUBY="ruby26 ruby27"
+
+RUBY_FAKEGEM_TASK_DOC=""
+RUBY_FAKEGEM_EXTRADOC="ChangeLog.md README.md"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_BINWRAP=""
+
+inherit ruby-fakegem
+
+DESCRIPTION="AMQP client implementation in Ruby/EventMachine"
+HOMEPAGE="http://rubyamqp.info/";
+
+LICENSE="Ruby"
+SLOT="1.4"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_bdepend "test? ( dev-ruby/multi_json dev-ruby/evented-spec )"
+ruby_add_rdepend ">=dev-ruby/eventmachine-0.12.4
+       >=dev-ruby/amq-protocol-2.2.0:2"
+
+all_ruby_prepare() {
+       #rm Gemfile || die
+       sed -i -e '/[Bb]undler/ s:^:#:' -e '/effin_utf8/ s:^:#:' 
spec/spec_helper.rb || die
+
+       # Many specs require a live rabbit server, but only root can start
+       # an instance. Skip these specs for now.
+       rm -rf spec/integration spec/unit/amqp/connection_spec.rb || die
+}
+
+all_ruby_install() {
+       dodoc -r docs examples
+}

Reply via email to